﻿using Connected.Caching;

namespace Connected.Entities.Caching;

public interface IEntityCacheClient<TEntry, TKey> : IStatefulCacheClient<TEntry, TEntry>
{
	Task Refresh(TKey id);
	Task Remove(TKey id);
}
